summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2018-07-31 08:29:06 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-08-04 08:40:03 +0700
commit4c37f1042c4486e0cc46399536c263089324b661 (patch)
treebfa757b6d24406fc7a142dd7cd05f193e8db2621 /graphics
parent2a0252a11c4ae3ef94c7965a3a39334ad630fb1a (diff)
downloadslackbuilds-4c37f1042c4486e0cc46399536c263089324b661.tar.gz
slackbuilds-4c37f1042c4486e0cc46399536c263089324b661.tar.xz
graphics/xcur2png: Added (convert idiotic Xcursor format files).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/xcur2png/README5
-rw-r--r--graphics/xcur2png/slack-desc19
-rw-r--r--graphics/xcur2png/xcur2png.SlackBuild76
-rw-r--r--graphics/xcur2png/xcur2png.info10
4 files changed, 110 insertions, 0 deletions
diff --git a/graphics/xcur2png/README b/graphics/xcur2png/README
new file mode 100644
index 0000000000..20c3b51563
--- /dev/null
+++ b/graphics/xcur2png/README
@@ -0,0 +1,5 @@
+xcur2png (convert idiotic Xcursor format files to PNG)
+
+xcur2png is a program which lets you take PNG images from X cursors,
+and generate a config file which is reusable by xcursorgen. To put it
+simply, it converts from the X cursor format to PNG images.
diff --git a/graphics/xcur2png/slack-desc b/graphics/xcur2png/slack-desc
new file mode 100644
index 0000000000..b75b9963c6
--- /dev/null
+++ b/graphics/xcur2png/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xcur2png: xcur2png (convert idiotic Xcursor format files to PNG)
+xcur2png:
+xcur2png: xcur2png is a program which lets you take PNG images from X cursors,
+xcur2png: and generate a config file which is reusable by xcursorgen. To put it
+xcur2png: simply, it converts from the X cursor format to PNG images.
+xcur2png:
+xcur2png:
+xcur2png:
+xcur2png:
+xcur2png:
+xcur2png:
diff --git a/graphics/xcur2png/xcur2png.SlackBuild b/graphics/xcur2png/xcur2png.SlackBuild
new file mode 100644
index 0000000000..dd0601c942
--- /dev/null
+++ b/graphics/xcur2png/xcur2png.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for xcur2png
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=xcur2png
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/xcur2png/xcur2png.info b/graphics/xcur2png/xcur2png.info
new file mode 100644
index 0000000000..81c022cc02
--- /dev/null
+++ b/graphics/xcur2png/xcur2png.info
@@ -0,0 +1,10 @@
+PRGNAM="xcur2png"
+VERSION="0.7.1"
+HOMEPAGE="https://github.com/eworm-de/xcur2png"
+DOWNLOAD="https://github.com/eworm-de/xcur2png/releases/download/0.7.1/xcur2png-0.7.1.tar.gz"
+MD5SUM="abbd872dc120bbc0fb2f9693ed4e13c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"